Bug 586079 - Missing the "ASSOCIATE..." and "DISSASSOCIATE SELECTED" buttons within a repository table "Content Sources Associated with This Repository"
Missing the "ASSOCIATE..." and "DISSASSOCIATE SELECTED" buttons within a repo...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
1.4
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
Corey Welton
:
Depends On:
Blocks: jon24-content
  Show dependency treegraph
 
Reported: 2010-04-26 14:52 EDT by John Sefler
Modified: 2010-08-12 12:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Now that you have removed the associate/disassociate functionality, there is no need for the checkboxes (106.63 KB, image/png)
2010-05-03 09:40 EDT, John Sefler
no flags Details
Update the InfoBlock messages to spell out the word "repo" -> "repository" (80.13 KB, image/png)
2010-05-18 09:17 EDT, John Sefler
no flags Details

  None (edit)
Description John Sefler 2010-04-26 14:52:34 EDT
Description of problem:
In the current build, there is no way to associate a content source with a repository.  The "ASSOCIATE..." and "DISSASSOCIATE SELECTED" buttons are missing from the "Content Sources Associated with This Repository" table within an opened repository.

Version-Release number of selected component (if applicable):
 RHQ
version: 3.0.0-SNAPSHOT
build number: 4fd30d0 

How reproducible:


Steps to Reproduce:
1. Administration > Content > Repositories
2. open an existing repo or create a new one and open it

Actual results:
The "Content Sources Associated with This Repository" table is missing the "ASSOCIATE..." and "DISSASSOCIATE SELECTED" buttons
Comment 1 Ian Springer 2010-04-29 10:18:03 EDT
The associate/disassociate functionality was intentionally disabled (commented out), since it is needed for JON. For JON, we only need to support the use case of one content provider (i.e. the CSP or a local mirror of the CSP) per repo. So you can disable the associated tests. You might want to keep them around in case we have new use cases in a future release of JON that require restoring the functionality.
Comment 2 John Sefler 2010-05-03 09:39:49 EDT
Now that you have removed the associate/disassociate functionality, there is no need for the checkboxes.  See attached screenshot.

This applies to both the "Content Sources Associated with This Repository" table in the selected Repository (i.e. JBoss Patches) page AND the "Repositories" table in the selected Content Source page.

Moving back to ON_DEV
Comment 3 John Sefler 2010-05-03 09:40:52 EDT
Created attachment 410997 [details]
Now that you have removed the associate/disassociate functionality, there is no need for the checkboxes
Comment 4 Corey Welton 2010-05-03 10:01:05 EDT
The problem with the logic in comment #1 is  is that even if we are only supporting a 1:1 content source:repo, you should still be able to create a new content source, a new repo, and associate the two

for example, we have the CSP content source/repo preconfigured, but let's say i want to create another one -- perhaps a different CSP login, or one that uses http vs https or... any number of things.

Even if I am not trying to associate multiple, new repos with a pre-existing Content source, if we have removed the associate/disassociate buttons, I can no longer connect the two.
Comment 6 Charles Crouch 2010-05-13 15:14:00 EDT
Referring to cswiii's comment. How much effort would it be to add these associate/disassociate buttons back
Comment 7 Ian Springer 2010-05-13 16:47:55 EDT
I just commented them out in the xhtml files, so it would not be much effort.
Comment 9 Simeon Pinder 2010-05-17 21:10:58 EDT
Re-enabled associate/dissassociate buttons.

Available in successful master build >= 307, and 

commit hash:
ce0d8ab908a52df1bc7826de06d848c8300a343f
Comment 10 John Sefler 2010-05-18 09:15:55 EDT
One more request...
Can you update the InfoBlock messages to spell out the word "repo" -> "repository".

Associated [1] content sources with repo    ->
Associated [1] content sources with repository. 

Disassociated [1] content sources from repo   ->
Disassociated [1] content sources from repository.

moving back to ON_DEV
Comment 11 John Sefler 2010-05-18 09:17:13 EDT
Created attachment 414844 [details]
Update the InfoBlock messages to spell out the word "repo" -> "repository"
Comment 12 Simeon Pinder 2010-05-21 08:38:54 EDT
Yep. Fixed it there and in a few other places in the code tree. 

Available in successful master builds >= 332.
with commit hash 49e72b33dbb715fb390cdcfe6c64ed727addaa8b
Comment 13 John Sefler 2010-05-25 10:30:37 EDT
Recent build appears to have undone the Re-enablement of the associate/dissassociate buttons committed in comment #9

The recent build which is missing the buttons is a19ca6b which contains the comment #9 commit:
$ git rev-list a19ca6b | grep ce0d8ab908a52df1bc7826de06d848c8300a343f 
ce0d8ab908a52df1bc7826de06d848c8300a343f

Moving back to ON_DEV
Comment 14 Simeon Pinder 2010-05-26 05:09:35 EDT
This was caused by a curious reversion of the applied fix after checkin.
I re-applied the fix and the error message from the screenshot should be fixed now in successful build of master >= 355, and 
git hash: bd8ee1ee291e656dfec223110ed51d0cb24d2219.
Comment 15 Corey Welton 2010-05-27 16:41:12 EDT
QA Verified.
Comment 16 Corey Welton 2010-08-12 12:56:10 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.